Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
life-events
/
{event_id}
Get a life event
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/life-events/{event_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "College for Sarah",
  "event_type": "college",
  "expected_date": "2023-12-25",
  "estimated_cost": "<string>",
  "currency": "USD",
  "recurring": false,
  "linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notes": "<string>",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

event_id
string<uuid>
required

The life event ID

Response

Life event retrieved successfully

A planned major life event

event_id
string<uuid>
read-only
account_id
string<uuid>
read-only

The investor account this event belongs to

name
string
Example:

"College for Sarah"

event_type
enum<string>
Available options:
college,
wedding,
home_purchase,
retirement,
major_purchase,
career_change,
custom
expected_date
string<date>
estimated_cost
string

Estimated cost/impact

currency
string
default:USD
Pattern: ^[A-Z]{3}$
recurring
boolean
default:false
linked_goal_id
string<uuid>

Optionally link to a goal

notes
string
Maximum string length: 500
status
enum<string>
default:active
Available options:
active,
completed,
archived
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only